Main Page Widgets Namespaces Book

# Glib::Value< unsigned char > Class Template Reference
[Generic Values]

Inheritance diagram for Glib::Value< unsigned char >:

[legend]
List of all members.

## Public Types

typedef unsigned char | CppType
typedef guchar | CType

## Public Member Functions

void | set (unsigned char data)
unsigned char | get () const

## Static Public Member Functions

GType | value_type () G_GNUC_CONST

### template<>
class Glib::Value< unsigned char >

## Member Typedef Documentation

typedef unsigned char Glib::Value<unsigned char>::CppType

typedef guchar Glib::Value<unsigned char>::CType

## Member Function Documentation

unsigned char Glib::Value<unsigned char>::get | ( |  | ) | const

void Glib::Value<unsigned char>::set | ( | unsigned char | data | ) |

GType Glib::Value<unsigned char>::value_type | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- value_basictypes.h